﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.OrganizationChild
@{
    ViewData["Title"] = "Index";
}
@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}
<script src="~/Script/ApplicationManagement/ChildOrganizationClient.js"></script>
<script src="~/Script/Master/Layout.js"></script>

<style>
    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }

    .adddivProcess {
        padding-left: 20px;
    }

    .btnFlex {
        display: flex;
        width: 100%;
    }

    .close {
        opacity: 1.5;
        color: white;
    }

    .table tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .orgmap {
        margin: 0px;
        padding: 0px;
        list-style-type: none;
    }

        .orgmap li {
            padding: 0px 0px;
            position: relative;
        }

            .orgmap li::after {
                content: "";
                position: absolute;
                width: 0px;
                border-right: solid 2px #7b7b7b;
                height: calc(100% - 32px);
                top: 15px;
                left: 37px;
                background: #ccc;
                z-index: 8;
            }

            .orgmap li span {
                display: inline-block;
                padding: 8px 10px;
                width: 100%;
                background: #61c1c1;
                color: #fff;
                position: relative;
                z-index: 10;
                margin-top: 15px;
                position: relative;
                max-width: 100px;
                text-align: center;
                border-radius: 2px;
                box-shadow: 0px 2px 3px #0000004d;
            
            }

                .orgmap li span:before {
                    content: "";
                    position: absolute;
                    width: 52px;
                    height: 0px;
                    left: -52px;
                    top: 50%;
                    border-bottom: solid 1px #7b7b7b;
                }

            .orgmap li.first > span::before {
                display: none;
            }

        .orgmap ul {
            list-style-type: none;
            margin-left: 89px;
        }

            .orgmap ul ul {
                margin-left: 90px;
                list-style-type: none;
            }
</style>
<script>
    $(document).ready(function () {
        if ($("#Id").val() > 0) {
            $(".titile_heading h1").html("Child Organization");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $('#DdlRole').val([@Model.ConsultantIds]).change();
            $(".titile_heading").show();
            $('.multiple').multiselect('rebuild');
        } else {
            $(".titile_heading h1").html("Child Organization");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
</script>

<section>
    <style>
        .cardbtn {
            width: 100%;
        }

            .cardbtn .cardbtnIn {
                background-color: #7aadec;
                height: 203px;
                margin-top: 15px;
                margin-bottom: 15px;
            }

                .cardbtn .cardbtnIn.active {
                    background-color: #f0c998;
                    box-shadow: 1px 2px 6px #00000052;
                }

            .cardbtn .cardbtnimg {
                width: 100%;
                display: block;
                text-align: center;
                height: 145px;
                padding: 20px 10px;
            }

                .cardbtn .cardbtnimg img {
                    max-height: 100%;
                    max-width: 100%;
                }

            .cardbtn .cardbtntext {
                text-align: center;
                display: block;
                font-size: 19px;
                color: #fff;
                padding: 10px;
                font-weight: 600;
            }
    </style>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Child Organization</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content" style="padding:15px;">
                    <div class="">
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this); $.get('/ApplicationManagement/Organization/Index', function (res) { $('#ajaxresult').html(res) });">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/Organization.png" />
                                            </div>
                                            <div class="cardbtntext">Add Organization</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this); $.get('/ApplicationManagement/OrganizationFunction/Index', function (res) { $('#ajaxresult').html(res) });">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/FunctionProcess.png" />
                                            </div>
                                            <div class="cardbtntext">Map Functions and Process</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this)">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/AssignControls.png" />
                                            </div>
                                            <div class="cardbtntext">Assign Enabler Category</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this)">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/GenerateRCM.png" />
                                            </div>
                                            <div class="cardbtntext">Generate RCM</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
            <div class="right_panel">
                <div class="right_content" style="height:497px; overflow:auto;">
                    <h2>Organization Map</h2>



                    <ul class="orgmap">
                        <li class="first">
                            <span>abc</span>
                            <ul>
                                <li>
                                    <span>taff</span>
                                    <ul><li><span>ggg</span></li></ul>
                                </li>
                                <li>
                                    <span>taff</span>
                                    <ul>
                                        <li><span>ggg</span></li>
                                        <li><span>ggg</span></li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" hidden>
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line" id="dvForm">
                        <form id="form" method="post" asp-action="SubmitChildOrganization" asp-controller="ChildOrganization"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading..."
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/ChildOrganization/Index');"
                              data-ajax-failure="Errmsg(data);">
                            @Html.HiddenFor(m => m.Id)
                            @Html.HiddenFor(m => m.ConsultantIds)
                            @Html.HiddenFor(m => m.xmlAudity)
                            <div class="pb-2 mt-4 mb-2 border-bottom box_title">Client</div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Parent Organization</label>
                                    @Html.DropDownListFor(m => m.ParentOrgId, Model.DdlParentOrg, "Select", new { @class = "form-control m_no", required = "required" })
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Child Organization Name</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.ChildOrgName, new { @class = "form-control m_no", required = "required", PlaceHolder = "Enter child org. name" })
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Consultant</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("DdlRole", Model.DdlRole, new { @class = "form-control m_no multiple chosen-select", multiple = "multiple" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Country</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(m => m.CountryID, Model.DdlCountry, "Select Country", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindStates(this);" })
                                        </div>
                                        <div style="margin-left:5px; margin-top:4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#countryModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">State</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @if (Model.Id > 0)
                                            {
                                                @Html.DropDownListFor(m => m.StateId, Model.DdlState, "Select State", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindCity(this);" })
                                            }
                                            else
                                            {
                                                @Html.DropDownListFor(m => m.StateId, Enumerable.Empty<SelectListItem>(), "Select State", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindCity(this);" })
                                            }
                                        </div>
                                        <div style="margin-left:5px; margin-top:4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#stateModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">City</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @if (Model.Id > 0)
                                            {
                                                @Html.DropDownListFor(m => m.CityId, Model.DdlCity, "Select City", new { @class = "form-control m_no", required = "required" })
                                            }
                                            else
                                            {
                                                @Html.DropDownListFor(m => m.CityId, Enumerable.Empty<SelectListItem>(), "Select City", new { @class = "form-control m_no", required = "required" })
                                            }
                                        </div>
                                        <div style="margin-left:5px; margin-top:4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#cityModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Child Organization Location</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.ChildOrgLocation, new { @class = "form-control m_no", PlaceHolder = "Enter child org. location" })
                                    </div>
                                </div>
                            </div>
                            <div class="pb-2 mt-4 mb-2 border-bottom box_title">Client Auditee</div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-6 col-xs-12">
                                    <div class="table_control">
                                        <table class="table" id="tblClientAudity">
                                            <thead>
                                                <tr>
                                                    <th>S.No.</th>
                                                    <th hidden>ID</th>
                                                    <th>Name</th>
                                                    <th>Email</th>
                                                    <th>Password</th>
                                                    <th>Action<input type="button" value="Add" class="pull-right" onclick="fn_AddNewRow();"> </th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                @{int i = 0;}
                                                @if (Model.Id > 0)
                                                {
                                                    if (Model.AudityList.Count > 0)
                                                    {
                                                        foreach (var item in Model.AudityList)
                                                        {
                                                            <tr>
                                                                <td>@(++i)</td>
                                                                <td hidden><input type="text" class="form-control" value="@item.Id" /></td>
                                                                <td><input type="text" class="form-control" value="@item.UName" /></td>
                                                                <td><input type="text" class="form-control" value="@item.Email" autocomplete="off" /></td>
                                                                <td><input type="password" class="form-control" value="@item.UPassword" autocomplete="new-password" /></td>
                                                                <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                            </tr>
                                                        }
                                                    }
                                                }
                                                else
                                                {
                                                    <tr>
                                                        <td>1</td>
                                                        <td hidden><input type="text" class="form-control" value="0" /></td>
                                                        <td><input type="text" class="form-control" /></td>
                                                        <td><input type="text" autocomplete="off" class="form-control" /></td>
                                                        <td><input type="password" class="form-control" autocomplete="new-password" /></td>
                                                        <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>

                                    </div>
                                </div>
                            </div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="back_btn">
                                        <div class="back_btn_in">
                                            <input type="button" id="btnBack" name="Submit" value="Back" onclick="hideForm()">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="fn_SaveAudityxml();">
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="assign_panel assign_section" id="dvDataTable">
                        <div class="addbtn">
                            <div class="add_litigation">
                                <span>+</span>
                                <input type="button" onclick="AddButton()" value="Add">
                            </div>
                        </div>
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width:70px">SN</th>
                                                <th>Parent Organization Name</th>
                                                <th>Child Organization Name</th>
                                                <th>Child Organization Location</th>
                                                <th>Consultants</th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.ChildOrganizationList)
                                            {
                                                var consultantIds = String.IsNullOrEmpty(item.ConsultantIds) ? new String[1] { "0" } : item.ConsultantIds.Split(",");
                                                var consultants = ""; var no = 0;
                                                foreach (var id in consultantIds)
                                                {
                                                    no++;
                                                    var name = Model.DdlRole.Where(x => x.Value == id).Select(s => s.Text).FirstOrDefault();
                                                    consultants += consultantIds.Count() == no ? name : name + ", ";
                                                }
                                                <tr>
                                                    <td>@(++sn)</td>
                                                    <td>@item.ParentOrgName</td>
                                                    <td>@item.ChildOrgName</td>
                                                    <td>@item.ChildOrgLocation</td>
                                                    <td>@consultants</td>
                                                    <td>
                                                        <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-ID="@item.Id" asp-controller="ChildOrganization" asp-area="ApplicationManagement" class="edit_btn"></a>
                                                        @*<a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="BlockDeleteOrganization" asp-route-Id="@item.Id" asp-route-Type="0" asp-controller="Organization" asp-area="ApplicationManagement" class="Active_btn" asp-route-ActionName="@(item.IsActive ? "InActive" : "Active")"></a>*@
                                                        @*<a class="delete_btn" onclick="Confirmation('@item.Id')"></a>*@
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Modal -->
        <div class="modal" id="countryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add Country</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="required">Country</label>
                        <input asp-for="Country" class="form-control" autocomplete="off" />
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="cBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal" id="stateModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add State</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <label>Country</label><span class="text-danger">*</span>
                                <select asp-for="CountryID2" asp-items="@(Model.DdlCountry)" class="form-control">
                                    <option value="">--Select--</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>State Name</label><span class="text-danger">*</span>
                                <input asp-for="State" class="form-control" autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="sBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal" id="cityModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add City</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <label>Country</label><span class="text-danger">*</span>
                                <select asp-for="CountryID3" asp-items="@(Model.DdlCountry)" class="form-control" onchange="fn_BindStateOfModel(this)">
                                    <option value="0">--Select--</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>State</label><span class="text-danger">*</span>
                                <select asp-for="StateId2" asp-items="@(new SelectList(string.Empty))" class="form-control">
                                    <option value="0">--Select--</option>
                                </select>
                            </div>
                        </div>
                        <div class="row pt-2">
                            <div class="col-md-12">
                                <label>City Name</label><span class="text-danger">*</span>
                                <input asp-for="City" class="form-control" autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="ctBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>

<script>
    function Active(anchor) {
        $('.cardbtnIn').removeClass('active');
        $(anchor).children('div').addClass('active');
    }
</script>